Bug 117942 - Folder browsing enhancement : display folder items and folder tree in an alphabetical order
Folder browsing enhancement : display folder items and folder tree in an alph...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-10 04:38 EST by durnez
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:29:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description durnez 2004-03-10 04:38:30 EST
Description of problem:

Current CMS 6 does not display sort items in any intuitive manner.

Following modifications allow to :
1.
display items within a folder in an alphabetical order, sorted by
name, case insensitive.
(admin ui : content section page, 'browse' tab : right part :
paginated display)

2. 
display folder tree in an alphabetical order, sorted by label, case
insensitive.
(admin ui : content section page, 'browse' tab : left part)



Code modifications for point 1 (in CMS) :
in com.arsdigita.cms.ui.folder.FolderBrowser.getTotalSize(Paginator,
PageState) :
replace line :
itemColl.addOrder("item.name");
by line :
itemColl.setOrder("lower(item.name)");

Note : original line resulted in a query that sorts the following way
: order by st_.is_folder desc, st_.item_id desc, st_.name


Code modifications for point 2 (CMS) :
in pdl/com/arsdigita/content-section/Folder-queries.ora.pdl :
in query getSubFolders, 
after line :
     group by f.label, f.folder_id
add :
     order by lower(f.label)

in query getSubFoldersWithPermissions,
after line :
      group by f.label, f.folder_id
add :
     order by lower(f.label)

Do the same also for postgre.
Comment 1 Jon Orris 2006-09-05 13:29:54 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.